Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.generator
Class DialogLayout

    java.lang.Object
      |
      +--context.arch.generator.DialogLayout

public class DialogLayout
extends java.lang.Object
implements java.awt.LayoutManager

Field Summary
`protected int` | `m_height`
`protected java.util.Hashtable` | `m_map`
`protected int` | `m_width`

Constructor Summary
`DialogLayout(java.awt.Container parent, java.awt.Dimension d)`
`DialogLayout(java.awt.Container parent, int width, int height)`

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`protected void` | `Construct(java.awt.Container parent, int width, int height)`
`protected int` | `getCharHeight(java.awt.Container parent)`
`protected int` | `getCharWidth(java.awt.Container parent)`
`java.awt.Dimension` | `getDialogSize()`
`java.awt.Rectangle` | `getShape(java.awt.Component comp)`
`void` | `layoutContainer(java.awt.Container parent)`
`protected void` | `mapRectangle(java.awt.Rectangle rect, int charWidth, int charHeight)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
`void` | `removeLayoutComponent(java.awt.Component comp)`
`void` | `setShape(java.awt.Component comp, int x, int y, int width, int height)`
`void` | `setShape(java.awt.Component comp, java.awt.Rectangle rect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    protected java.util.Hashtable m_map

### m_width

    protected int m_width

### m_height

    protected int m_height

Constructor Detail

### DialogLayout

    public DialogLayout(java.awt.Container parent,
                        int width,
                        int height)

### DialogLayout

    public DialogLayout(java.awt.Container parent,
                        java.awt.Dimension d)

Method Detail

### setShape

    public void setShape(java.awt.Component comp,
                         int x,
                         int y,
                         int width,
                         int height)

### setShape

    public void setShape(java.awt.Component comp,
                         java.awt.Rectangle rect)

### getShape

    public java.awt.Rectangle getShape(java.awt.Component comp)

### getDialogSize

    public java.awt.Dimension getDialogSize()

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Specified by:
    layoutContainer in interface java.awt.LayoutManager

### Construct

    protected void Construct(java.awt.Container parent,
                             int width,
                             int height)

### getCharWidth

    protected int getCharWidth(java.awt.Container parent)

### getCharHeight

    protected int getCharHeight(java.awt.Container parent)

### mapRectangle

    protected void mapRectangle(java.awt.Rectangle rect,
                                int charWidth,
                                int charHeight)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD